import { lazy, Suspense } from 'react';
import { Routes, Route } from 'react-router';

import DetectVideoSupport from './detect_video_support';

const Home = lazy(() => import(/* webpackChunkName: "home" */ './pages/home'));
const Error404 = lazy(() => import(/* webpackChunkName: "error" */ './pages/error/404'));

function Root() {
  const content = (
    <Suspense fallback={<p>Loading…</p>}>
      <Routes>
        <Route path="/" element={<Home />} />
        <Route path="*" element={<Error404 />} />
      </Routes>
    </Suspense>
  );

  return (
    <>
      {content}
      <DetectVideoSupport />
    </>
  );
}

export default Root;
